<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
                      "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <title>${c.page_title}</title>
    <meta name="keywords" content="" />
    <meta name="description" content="" />
    <link href="${h.url_for(controller=u'feed', action=u'atom')}" type="application/atom+xml" rel="alternate" title="Sitewide ATOM Feed" />
    <link href="${h.url_for(controller=u'feed', action=u'rss')}" type="application/rss+xml" rel="alternate" title="Sitewide RSS Feed" />
    <link href="${h.url_for('/styles/style.css')}" rel="stylesheet" type="text/css" media="screen" />
    <link href="${h.url_for('/styles/print.css')}" rel="stylesheet" type="text/css" media="print" />
% for script in c.scripts:
    <script src="/scripts/${script}" type="text/javascript"></script>
% endfor
% if c.jsvalidation:
    <script src="/scripts/${c.jsvalidation}" type="text/javascript"></script>
% endif
% if c.jsinit:
    <script src="/scripts/${c.jsinit}" type="text/javascript"></script>
% endif
</head>
<body>
    <div id="header">
        <h1><a href="${h.url_for('/')}" title="${c.blog_title}">${c.blog_title}</a></h1>
        <h2>${c.blog_slogan}</h2>
    </div>
    <div id="menu">
        <ul>
            <li><a href="${h.url_for('/')}">Home</a></li>
% for page in c.pages:
            <li><a href="${page.url}">${page.title}</a></li>
% endfor
% if c.current_user:
            <li>Logged in as <em>${c.current_user.nick}</em></li>
% endif
        </ul>
    </div>
    <hr />
    <div id="page">
        <div id="content">
            ${next.body()}
        </div>
        <%include file="/sidebar.mako"/>
        <div style="clear: both;">&nbsp;</div>
    </div>
    <hr />
    <div id="footer">
        <p>Copyright &copy; 2010 Raoul and Hannah Snyman. Powered by <a href="http://launchpad.net/scribeengine" title="Open Source Python Blog Engine">ScribeEngine</a>. Design by <a href="http://www.freecsstemplates.org/">Free CSS Templates</a>.</p>
    </div>
</body>
</html>
