# -*- coding: utf-8 -*-
try:
    from setuptools import setup, find_packages
except ImportError:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup, find_packages

try:
    from bzrlib.branch import Branch
    b = Branch.open_containing('.')[0]
    b.lock_read()
    try:
        revno = b.revno()
    finally:
        b.unlock()
except:
    revno = 0


setup(
    name='ScribeEngine',
    version='0.1.%s' % str(revno),
    description='',
    author='',
    author_email='',
    url='',
    install_requires=[
        "Pylons==0.9.7",
        "SQLAlchemy>=0.5,<0.6",
        "TurboMail>=3.0,<3.1",
        "MonthDelta>=0.9,<0.10",
        "pytz"
    ],
    setup_requires=["PasteScript>=1.6.3"],
    packages=find_packages(exclude=['ez_setup']),
    include_package_data=True,
    test_suite='nose.collector',
    package_data={'scribeengine': ['i18n/*/LC_MESSAGES/*.mo']},
    #message_extractors={'scribeengine': [
    #        ('**.py', 'python', None),
    #        ('templates/**.mako', 'mako', {'input_encoding': 'utf-8'}),
    #        ('public/**', 'ignore', None)]},
    zip_safe=False,
    paster_plugins=['PasteScript', 'Pylons'],
    entry_points="""
    [paste.app_factory]
    main = scribeengine.config.middleware:make_app

    [paste.app_install]
    main = pylons.util:PylonsInstaller
    """,
)
